<template>
  <div id="questions">
    <h2>{{ question.title }} ?</h2>
    <div class="responses">
      <div class="btn" v-for="(r,i) in question.responses" :key="i" @click="pickResponse(i)">{{ r.response }}</div>
    </div>
  </div>
</template>

<script>
import {QQuestion} from "../../game/quiz/quiz";

export default {
  name: "Question",
  props: {
    question: QQuestion
  },
  methods: {
    pickResponse: function(index) {
      this.$emit('pickResponse', index);
    }
  }
}
</script>

<style scoped>

#questions {
  padding-top: 2em;
}

.responses {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-evenly;
  padding-top: 1.5em;
}

</style>